Skip to content
payrocdevelopers

List payments

Browse API reference

GET/bank-transfer-paymentslistBankTransferPayments

Use this method to return a paginated list of payments.

Note: If you want to view the details of a specific payment and you have its paymentId, use our Retrieve Payment method.

Use query parameters to filter the list of results that we return, for example, to search for payments for a customer, a date range, or a settlement state.

Our gateway returns the following information about each payment in the list:

  • Order details, including the transaction amount and when it was processed.
  • Bank account details, including the customer’s name and account number.
  • Customer's details, including the customer’s phone number.
  • Transaction details, including any refunds or re-presentments.

For each transaction, we also return the paymentId and an optional secureTokenId, which you can use to perform follow-on actions.

Parameters

NameInTypeDescription
processingTerminalIdRequiredquerystring

Filter results by the unique identifier that we assigned to the terminal.

orderIdquerystring

Filter results by the order ID of the payment.

nameOnAccountquerystring

Filter results by the account holder's name.

last4querystring

Filter results by the last four digits of the account number.

typequeryarray

Filter results by transaction type.

statusqueryarray

Filter results by the status of the payment.

dateFromquerystring

Filter results by payments that the merchant ran after a specific date. The value follows the ISO 8601 standard.

dateToquerystring

Filter results by payments that the merchant ran before a specific date. The value follows the ISO 8601 standard.

settlementStatequerystring

Filter results by the settlement status.

settlementDatequerystring

Filter results by the settlement date. Send a value in YYYY-MM-DD format.

paymentLinkIdquerystring

Filter results by the paymentLinkId.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a list of payments.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 60 of 119 fields
  • countintegerrequired
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMorebooleanrequired
    Indicates whether there is another page of results available.
  • limitintegerrequired
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of payments.
    • bankAccountobjectrequired
      Polymorphic object that contains bank account information. The value of the type field determines which variant you should use: ach Automated Clearing House (ACH) details pad Pre-authorized debit (PAD) details
      • achobject
        Object that contains the customer's account details.+14 more fields at deeper levels — see the full spec
      • padobject
        Object that contains the customer's account details.+14 more fields at deeper levels — see the full spec
    • customFieldsobject[]
      Array of customField objects.
      • namestringrequired
        Name of the custom field.1–56 chars
      • valuestringrequired
        Value for the custom field.1–100 chars
    • customerobject
      Object that contains information about the customer.
      • contactMethodsobject[]
        Array of polymorphic objects, which contain contact information. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number+12 more fields at deeper levels — see the full spec
      • notificationLanguagestringiso-639-1
        Customer's preferred notification language. This code follows the ISO 639-1 standard.2–2 charsenfr
    • orderobjectrequired
      Object that contains information about the transaction.
      • breakdownobject
        Object that contains information about the transaction.+10 more fields at deeper levels — see the full spec
      • amountintegerint64required
        Total amount of the transaction. The value is in the currency’s lowest denomination, for example, cents.
      • currencystringrequired
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • dateTimestringdate-time
        Date and time that the processor processed the transaction. Our gateway returns this value in the ISO 8601 format.
      • descriptionstring
        Description of the transaction.0–1024 chars
      • orderIdstringrequired
        Unique identifier that the merchant assigns to the transaction.1–24 chars
    • paymentIdstringrequired
      Unique identifier that we assigned to the payment.10–10 chars
    • processingTerminalIdstringrequired
      Unique identifier that we assigned to the terminal.4–50 chars
    • refundsobject[]
      List of refunds issued against the payment.
      • amountintegerint64required
        Amount of the refund. This value is in the currency’s lowest denomination, for example, cents.
      • currencystringrequired
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • dateTimestringdate-timerequired
        Date and time that the refund was processed.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • refundIdstringrequired
        Unique identifier of the refund.10–10 chars
      • responseCodestringrequired
        Response from the processor. A The processor approved the transaction. D The processor declined the transaction. E The processor received the transaction but will process the transaction later. P The processor authorized a portion of the original amount of the transaction. R The issuer declined the transaction and indicated that the customer should contact their bank. C The issuer declined the transaction and indicated that the merchant should keep the card as it was reported lost or stolen.ADEPRC
      • responseMessagestringrequired
        Description of the response from the processor.1–48 chars
      • statusstringrequired
        Current status of the refund.readypendingdeclinedcompletereferralpickupreversalreturned+3 more
    • representmentobject
      Object that contains information about a payment.
      • amountintegerint64required
        Amount of the payment. This value is in the currency’s lowest denomination, for example, cents.
      • currencystringrequired
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • dateTimestringdate-timerequired
        Date and time that the payment was processed.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • paymentIdstringrequired
        Unique identifier of the payment.10–10 chars
      • responseCodestringrequired
        Response from the processor. A The processor approved the transaction. D The processor declined the transaction. E The processor received the transaction but will process the transaction later. P The processor authorized a portion of the original amount of the transaction. R The issuer declined the transaction and indicated that the customer should contact their bank. C The issuer declined the transaction and indicated that the merchant should keep the card as it was reported lost or stolen.ADEPRC
      • responseMessagestring
        Response description from the processor.1–48 chars
      • statusstringrequired
        Current status of the payment.readypendingdeclinedcompletereferralpickupreversalreturned+3 more
    • returnsobject[]
      List of returns issued against the payment.
      • closedbooleanrequired
        Indicates whether the merchant accepted an alternative payment method to complete the payment.
      • datestringdaterequired
        The date that the check was returned.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • paymentIdstringrequired
        Unique identifier that our gateway assigned to the payment.10–10 chars
      • representedbooleanrequired
        Indicates whether the return has been re-presented.
      • returnCodestringrequired
        The NACHA return code.
      • returnReasonstringrequired
        The reason why the check was returned.
    • transactionResultobjectrequired
      Object that contains information about the transaction.
      • authorizedAmountintegerint64
        Amount of the transaction. Note: The amount is negative for a refund.
      • currencystring
        Currency of the transaction. The value for the currency follows the ISO 4217 standard.AEDAFNALLAMDANGAOAARSAUD+163 more
      • processorResponseCodestring
        Original response code that the processor sent.
      • responseCodestringrequired
        Response from the processor. A The processor approved the transaction. D The processor declined the transaction.
      • responseMessagestring
        Description of the response from the processor.1–48 chars
      • statusstringrequired
        Status of the transaction. The value is one of the following: ready Successful transaction. We added the payment to the open batch. pending Successful transaction. We added the payment to the open batch, but we don’t collect the funds when the batch is closed. declined Unsuccessful transaction. The customer's bank declined the transfer. complete Successful transaction. The funds have moved to the merchant’s bank account. admin Transaction under review. We have flagged an issue with the transaction. reversal Transaction canceled. The transaction was canceled, and we removed the transaction from the open batch. returned Unsuccessful transaction. Automated clearing house (ACH) returned the transaction due to an error. For more information about the error, view the returns object.readypendingdeclinedcompleteadminreversalreturned
      • typestringrequired
        Type of transaction.paymentrefundunreferencedRefundaccountVerification

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer